package com.shenghua.entitys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName("case_article_category")
@ApiModel("案例文章表")
public class CaseArticleCategory {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "名称", example = "军事")
    private String name;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "名称", example = "军事")
    private String tag;
}
