package com.shenghua.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shenghua.dto.CaseArticleDTO;
import com.shenghua.entitys.CaseArticle;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CaseArticleMapper extends BaseMapper<CaseArticle> {

    Integer getCount(@Param("dto") CaseArticleDTO dto);

    List<CaseArticle> queryPage(@Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize, @Param("dto") CaseArticleDTO dto);

    List<CaseArticle> getAll();

    CaseArticle getQueryUpChapterId(Integer id, Integer categoryId);

    CaseArticle getQueryDownChapterId(Integer id, Integer categoryId);
}
