package com.shenghua.controller;


import javax.validation.Valid;
import com.shenghua.dto.SolutionContactDTO;
import com.shenghua.entitys.Result;
import com.shenghua.service.SolutionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/solution")
@Api(tags = "解决api")
public class SolutionController {

    @Autowired
    private SolutionService solutionService;

    @PostMapping("/addContact")
    @ApiOperation("提交联系信息")
    public Result addContact(@RequestBody SolutionContactDTO contact){
        solutionService.addContact(contact);
        return Result.success()    ;
    }



}
