package com.shenghua.entitys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.shenghua.annotations.NotNull;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName("solution_contact")
@Api(tags = "解决方案联系表")
public class SolutionContact {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @TableField("name")
    @ApiModelProperty(value = "姓名")
    @NotNull
    private String name;

    @TableField("phone")
    @ApiModelProperty(value = "手机")
    @NotNull
    private String phone;
}
